Name:          umlgraph
Version:       5.4
Release:       %mkrel 1
Summary:       Automated Drawing of UML Diagrams
Group:         Development/Java
License:       BSD
URL:           http://www.umlgraph.org/
Source0:       http://www.umlgraph.org/UMLGraph-%{version}.tar.gz
# http://maven.geotoolkit.org/org/umlgraph/UmlGraph/5.4/UmlGraph-5.4.pom
Source1:       umlgraph-5.4.pom
Source2:       umlgraph-script
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: graphviz

Requires:      graphviz

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
UMLGraph allows the declarative specification and drawing
of UML class and sequence diagrams. The current features
are part of an ongoing effort aiming to provide support
for all types UML diagrams.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
This package contains documents for %{name}.


%prep

%setup -q -n UMLGraph-%{version}

chmod -R go=u-w *

for f in $(find . -name "*.jar"); do
  mv $f $f.no
done

sed -i 's|<attribute name="Class-Path" value="tools.jar"/>||' build.xml

%build
export CLASSPATH=$(build-classpath ../jvm/java/lib/tools)
ant compile test javadocs
for f in $(find . -name "*.dot"); do
  sed -i -e 's|/usr/local/bin/dot|%{_bindir}/dot|' $f
done

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -m 644 lib/UmlGraph.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{name}.jar  %{buildroot}%{_javadir}/UmlGraph.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_bindir}/%{name}
%{_javadir}/%{name}.jar
%{_javadir}/UmlGraph.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE README.txt

%files javadoc
%{_javadocdir}/%{name}

%files manual
%doc doc/*


%changelog

* Wed Oct 19 2011 dams <dams> 5.4-1.mga2
+ Revision: 156514
- update mkrel

  + gil <gil>
    - imported package umlgraph

